multitap
Prev | Orchestra Opcodes and Operators | Next

## multitap

multitap — Multitap delay line implementation.

## Description

Multitap delay line implementation.

## Syntax

    ares multitap asig [, itime1, igain1] [, itime2, igain2] [...]

## Initialization

The arguments itime and igain set the position and gain of each tap.

The delay line is fed by asig.

## Examples

Here is an example of the multitap opcode. It uses the file multitap.csd

Example 497. Example of the multitap opcode.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac   ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o multitap.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    ga1 init 0

    instr 1

    asig diskin2 "beats.wav", 1,0
         outs asig, asig

    ga1  = ga1+asig
    endin

    instr 2

    asig multitap ga1, 1.2, .5, 1.4, .2
         outs     asig, asig

    ga1  = 0
    endin

    </CsInstruments>
    <CsScore>

    i 1 .5 .2	; short sound
    i 2  0  3	; echoes
    e
    </CsScore>
    </CsoundSynthesizer>

This results in two delays, one with length of 1.2 and gain of .5, and one with length of 1.4 and gain of .2.

## Credits

Author: Paris Smaragdis
MIT, Cambridge
1996

Prev | Up | Next
multtab | Home | mute